API documentation | API docs for agents | OpenAPI 3.1

POST /api/v1/billing/factoring-agreements

ark.configure_factoring_agreement

Configure Factoring Agreement through the authoritative Billing application boundary.

Availability
Expanded preview
Scopes
billing:write
ARK permissions
canViewBillingcanMakeAdjustments
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

Idempotency-Keyheaderstringrequired
Stable key for safe replay of this exact operation input.
min length: 8; max length: 200

Request body

invoiceRemitProfileIdstringrequired

format: uuid

expectedInvoiceRemitProfileVersionintegerrequired

max: 9007199254740991

accountingModestringrequired

one of: sale, financing

currencyCodestring

default: "USD"; min length: 3; max length: 3

advanceRateBpsinteger | null

default: null

flatFeeRateBpsinteger | null

default: null

defaultFeeSourcestring | null

default: null

reasonstringrequired

min length: 1; max length: 1000

Example request

Shell
curl -X POST 'https://arktms.com/api/v1/billing/factoring-agreements' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{
  "invoiceRemitProfileId": "<invoiceRemitProfileId>",
  "expectedInvoiceRemitProfileVersion": 1,
  "accountingMode": "sale",
  "reason": "<reason>"
}'

Success response

Operation result.

objectstringrequired
okbooleanrequired
api_versionstringrequired
request_idstringrequired
dataobjectrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry